Skip to main content
GET
/
v0
/
pages
/
{page_id}
/
audiences
List audiences
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/audiences \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "actionFormIdOverride": "<string>",
      "actionFormInstructionsOverride": "<string>",
      "actionUrlOverride": "<string>",
      "archivedAt": "<string>",
      "audienceId": "<string>",
      "computedName": "<string>",
      "createdAt": "<string>",
      "customName": "<string>",
      "effectiveName": "<string>",
      "isNewPageAgent": true,
      "latestVersion": {
        "archivedAt": "<string>",
        "audienceId": "<string>",
        "becameDraftAt": "<string>",
        "cancelledAt": "<string>",
        "createdAt": "<string>",
        "isNewPageAgent": true,
        "obsoleteAt": "<string>",
        "publishedAt": "<string>",
        "queueDurationMs": 123,
        "queuedAt": "<string>",
        "status": "archived",
        "supplementaryContext": "<string>",
        "versionId": "<string>",
        "versionNumber": 123
      },
      "pageId": "<string>",
      "personId": "<string>",
      "personRouteKey": "<string>",
      "publishedVersion": {
        "archivedAt": "<string>",
        "audienceId": "<string>",
        "becameDraftAt": "<string>",
        "cancelledAt": "<string>",
        "createdAt": "<string>",
        "isNewPageAgent": true,
        "obsoleteAt": "<string>",
        "publishedAt": "<string>",
        "queueDurationMs": 123,
        "queuedAt": "<string>",
        "status": "archived",
        "supplementaryContext": "<string>",
        "versionId": "<string>",
        "versionNumber": 123
      },
      "status": "archived",
      "supplementaryContext": "<string>",
      "effectiveMetadata": {
        "title": "<string>",
        "description": "<string>",
        "keywords": [
          "<string>"
        ],
        "author": "<string>",
        "robots": [
          "index"
        ],
        "canonicalUrl": "<string>",
        "ogTitle": "<string>",
        "ogDescription": "<string>",
        "ogType": "website",
        "ogImageUrl": "<string>",
        "ogImageFileId": "<string>",
        "ogImageAlt": "<string>",
        "ogSiteName": "<string>",
        "ogUrl": "<string>",
        "twitterCard": "summary",
        "twitterTitle": "<string>",
        "twitterDescription": "<string>",
        "twitterImageUrl": "<string>",
        "twitterImageFileId": "<string>",
        "twitterImageAlt": "<string>",
        "twitterSite": "<string>",
        "twitterCreator": "<string>",
        "themeColor": "<string>"
      },
      "metadataOverride": {
        "title": "<string>",
        "description": "<string>",
        "keywords": [
          "<string>"
        ],
        "author": "<string>",
        "robots": [
          "index"
        ],
        "canonicalUrl": "<string>",
        "ogTitle": "<string>",
        "ogDescription": "<string>",
        "ogType": "website",
        "ogImageUrl": "<string>",
        "ogImageFileId": "<string>",
        "ogImageAlt": "<string>",
        "ogSiteName": "<string>",
        "ogUrl": "<string>",
        "twitterCard": "summary",
        "twitterTitle": "<string>",
        "twitterDescription": "<string>",
        "twitterImageUrl": "<string>",
        "twitterImageFileId": "<string>",
        "twitterImageAlt": "<string>",
        "twitterSite": "<string>",
        "twitterCreator": "<string>",
        "themeColor": "<string>"
      }
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991